View Issue Details

IDProjectCategoryLast Update
0021227AI War 2[All Projects] Bug - OtherMay 31, 2019 2:42 pm
Reporterwm46Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.861 Strength Of Remains 
Fixed in VersionBETA 0.863 Control of Capturables 
Summary0021227: Test chamber broken again
DescriptionNot that you needed more problems with map generation...

5/22/2019 3:33:29 AM Start Generate Partial Map with TestChamber and seed 123456 and 0 factions
5/22/2019 3:33:29 AM World Created, Launching Server
5/22/2019 3:33:30 AM Successfully opened host socket
5/22/2019 3:33:30 AM MAPGEN ERROR: System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
  at System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) [0x00029] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at System.ThrowHelper.ThrowArgumentOutOfRangeException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at Arcen.AIW2.External.Mapgen_TestChamber.DetermineAiOwnership (Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.ArcenSimContext Context, Arcen.AIW2.Core.MapConfiguration MapConfig, Arcen.AIW2.Core.MapTypeData mapType) [0x0008f] in <ecacae91da7a4e82b165f86d2d915620>:0
  at Arcen.AIW2.Core.World_AIW2.CreateGalaxies (Arcen.AIW2.Core.ArcenSimContext Context) [0x00334] in <60495c237c214d238a953b4db27a4126>:0
  at Arcen.AIW2.Core.Mapgen.WorkThreadOnly_GenerateNewGame () [0x0026d] in <60495c237c214d238a953b4db27a4126>:0
TagsNo tags attached.

Activities

x4000Bughunter

May 31, 2019 2:42 pm

administrator   ~0051769

Thanks!

* The test chamber, which was broken during the lobby upheaval, is now fully functional again.
** Interestingly, for some reason you can control both your units and enemy units. Nifty, I guess?

Issue History

Date Modified Username Field Change
May 22, 2019 3:36 am wm46 New Issue
May 31, 2019 2:42 pm x4000Bughunter Assigned To => x4000Bughunter
May 31, 2019 2:42 pm x4000Bughunter Status new => resolved
May 31, 2019 2:42 pm x4000Bughunter Resolution open => fixed
May 31, 2019 2:42 pm x4000Bughunter Fixed in Version => BETA 0.863 Control of Capturables
May 31, 2019 2:42 pm x4000Bughunter Note Added: 0051769